## org.apache.batik.dom
Class AbstractDocument.DocumentError

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.DocumentError

All Implemented Interfaces:
  org.w3c.dom.DOMError

Enclosing class:
  AbstractDocument

    protected class AbstractDocument.DocumentError

extends java.lang.Object
implements org.w3c.dom.DOMError

DOMError implementation.

Nested Class Summary
`protected class` `AbstractDocument.DocumentError.ErrorLocation` The DOMLocator implementation.

Field Summary
`protected org.w3c.dom.DOMLocator` `domLocator` The DOMLocator for this error.
`protected java.lang.String` `message` The error message.
`protected java.lang.Object` `relatedException` The exception which cuased this error.
`protected org.w3c.dom.Node` `relatedNode` The error related data.
`protected short` `severity` The error severity.
`protected java.lang.String` `type` The error type.

Fields inherited from interface org.w3c.dom.DOMError
`SEVERITY_ERROR, SEVERITY_FATAL_ERROR, SEVERITY_WARNING`

Constructor Summary
`AbstractDocument.DocumentError(java.lang.String type, short severity, java.lang.String message, org.w3c.dom.Node relatedNode, java.lang.Exception relatedException)` Creates a new DocumentError object.

Method Summary
`org.w3c.dom.DOMLocator` `getLocation()`
`java.lang.String` `getMessage()`
`java.lang.Object` `getRelatedData()`
`java.lang.Object` `getRelatedException()`
`short` `getSeverity()`
`java.lang.String` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected java.lang.String type

  The error type.

### severity

    protected short severity

  The error severity.

### message

    protected java.lang.String message

  The error message.

### relatedNode

    protected org.w3c.dom.Node relatedNode

  The error related data.

### relatedException

    protected java.lang.Object relatedException

  The exception which cuased this error.

### domLocator

    protected org.w3c.dom.DOMLocator domLocator

  The DOMLocator for this error.

Constructor Detail

### AbstractDocument.DocumentError

    public AbstractDocument.DocumentError(java.lang.String type,
                                          short severity,
                                          java.lang.String message,
                                          org.w3c.dom.Node relatedNode,
                                          java.lang.Exception relatedException)

  Creates a new DocumentError object.

Method Detail

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `org.w3c.dom.DOMError`

### getSeverity

    public short getSeverity()

  Specified by:
    `getSeverity` in interface `org.w3c.dom.DOMError`

### getMessage

    public java.lang.String getMessage()

  Specified by:
    `getMessage` in interface `org.w3c.dom.DOMError`

### getRelatedData

    public java.lang.Object getRelatedData()

  Specified by:
    `getRelatedData` in interface `org.w3c.dom.DOMError`

### getRelatedException

    public java.lang.Object getRelatedException()

  Specified by:
    `getRelatedException` in interface `org.w3c.dom.DOMError`

### getLocation

    public org.w3c.dom.DOMLocator getLocation()

  Specified by:
    `getLocation` in interface `org.w3c.dom.DOMError`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.